List Knowledgebases
curl --request GET \
--url https://api.pathors.com/v1/projects/{projectId}/knowledgebases \
--header 'Authorization: <authorization>'import requests
url = "https://api.pathors.com/v1/projects/{projectId}/knowledgebases"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.pathors.com/v1/projects/{projectId}/knowledgebases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"embeddingModelName": "<string>",
"chunkSize": 123,
"chunkOverlap": 123
}List Knowledgebases
List knowledgebases for a project
GET
/
v1
/
projects
/
{projectId}
/
knowledgebases
List Knowledgebases
Request
GET https://api.pathors.com/v1/projects/{projectId}/knowledgebases
Path Parameters
string
required
The project ID
Headers
string
required
Bearer token using your developer key
Response
Returns an array of knowledgebase objects. Each project is currently limited to one knowledgebase.string
Unique identifier for the knowledgebase
string
Name of the knowledgebase
string
Knowledgebase backend:
pinecone or pgvectorstring
Embedding model. One of
text-embedding-ada-002, text-embedding-3-small, text-embedding-3-large.number
Maximum chunk size in characters
number
Overlap between adjacent chunks in characters
Example
curl https://api.pathors.com/v1/projects/{projectId}/knowledgebases \
-H "Authorization: Bearer dk_your_key"
[
{
"id": "kb_abc123",
"name": "My Knowledge Base",
"type": "pgvector",
"embeddingModelName": "text-embedding-3-small",
"chunkSize": 500,
"chunkOverlap": 50
}
]
⌘I
